retrie-1.2.2: A powerful, easy-to-use codemodding tool for Haskell.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Retrie.Pretty

Synopsis

- noColor :: ColoriseFun
- addColor :: ColoriseFun
- ppSrcSpan :: ColoriseFun -> SrcSpan -> String
- type ColoriseFun = ColorIntensity -> Color -> String -> String
- strip :: String -> String
- ppRepl :: HashMap Int String -> SrcSpan -> String -> [String]
- linesMap :: String -> IO (HashMap Int String)

# Documentation

noColor :: ColoriseFun #

addColor :: ColoriseFun #

ppSrcSpan :: ColoriseFun -> SrcSpan -> String #

Pretty print location of the file.

type ColoriseFun = ColorIntensity -> Color -> String -> String #

strip :: String -> String #

ppRepl :: HashMap Int String -> SrcSpan -> String -> [String] #

Get lines covering span and replace span with replacement string.

linesMap :: String -> IO (HashMap Int String) #

Return HashMap from line number to line of a file.